Index: /trunk/src/VBox/Installer/linux/vboxdrv.sh.in
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 43726)
+++ /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 43727)
@@ -323,7 +323,13 @@
         succ_msg
     fi
-    begin_msg "Trying to register the VirtualBox kernel modules using DKMS"
-    if ! $DODKMS install vboxhost $INSTALL_VER >> $LOG; then
-      fail_msg "Failed, trying without DKMS"
+    DKMS=`which dkms 2>/dev/null`
+    if [ -n "$DKMS" ]; then
+      begin_msg "Trying to register the VirtualBox kernel modules using DKMS"
+      if ! $DODKMS install vboxhost $INSTALL_VER >> $LOG; then
+        fail_msg "Failed, trying without DKMS"
+        DKMS=""
+      fi
+    fi
+    if [ -z "$DKMS" ]; then
       begin_msg "Recompiling VirtualBox kernel modules"
       if ! $BUILDINTMP \
